org.eclipse.rdf4j.repository.manager

## Class RepositoryInfo

- java.lang.Object
- - org.eclipse.rdf4j.repository.manager.RepositoryInfo

- All Implemented Interfaces:
    Comparable<RepositoryInfo>

      public class RepositoryInfo
      extends Object
      implements Comparable<RepositoryInfo>

  Repository meta-information such as its id, location, description.
  Author:
    Jeen Broekstra

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RepositoryInfo()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(RepositoryInfo o)`
    `String` | `getDescription()`
    `String` | `getId()`
    `URL` | `getLocation()`
    `boolean` | `isReadable()`
    `boolean` | `isWritable()`
    `void` | `setDescription(String description)`
    `void` | `setId(String id)`
    `void` | `setLocation(URL location)`
    `void` | `setReadable(boolean readable)`
    `void` | `setWritable(boolean writable)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RepositoryInfo

          public RepositoryInfo()

  - ### Method Detail

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### getLocation

          public URL getLocation()

    - #### setLocation

          public void setLocation(URL location)

    - #### getDescription

          public String getDescription()

    - #### setDescription

          public void setDescription(String description)

    - #### isReadable

          public boolean isReadable()

    - #### setReadable

          public void setReadable(boolean readable)

    - #### isWritable

          public boolean isWritable()

    - #### setWritable

          public void setWritable(boolean writable)

    - #### compareTo

          public int compareTo(RepositoryInfo o)

      Specified by:
        `compareTo` in interface `Comparable<RepositoryInfo>`

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.